> ## Documentation Index
> Fetch the complete documentation index at: https://docs.walletkit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet by Address

> Get a wallet by network and address

<Snippet file="header-project-id.mdx" />


## OpenAPI

````yaml get /wallets/get-by-address
openapi: 3.0.1
info:
  title: WalletKit
  version: 0.0.1
servers:
  - url: https://testnet.walletkit.com
    description: testnet
  - url: https://mainnet.walletkit.com
    description: mainnet
security: []
paths:
  /wallets/get-by-address:
    get:
      tags:
        - Wallets
      summary: Get Wallet by Address
      description: Get a wallet by network and address
      operationId: wallets_get-by-address
      parameters:
        - name: network
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/Network'
        - name: address
          in: query
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Wallet'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    Network:
      title: Network
      type: string
      enum:
        - Ethereum
        - Polygon
        - Base
        - Avalanche
        - Polkadot
        - Vara
    Wallet:
      title: Wallet
      type: object
      properties:
        id:
          type: string
          example: 5884bd1d-ecb3-41ea-bcc7-e9e3d229618f
        created_at:
          type: string
          example: '2023-07-21T22:03:16Z'
        network:
          $ref: '#/components/schemas/Network'
        name:
          type: string
          nullable: true
        owner_id:
          type: string
          nullable: true
        address:
          type: string
          example: '0x976Cf57B7EE1D84E73BE9115457889d49a8A1335'
      required:
        - id
        - created_at
        - network
        - address
    ErrorResponse:
      title: ErrorResponse
      type: object
      properties:
        code:
          type: string
          nullable: true
        error:
          type: string
      required:
        - error
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````